<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

function plugin_install() {
	global $prefixeTable;

	require_once('install/functions.inc.php');
	
	$query = 'SHOW TABLES LIKE "'.$prefixeTable.'piwecard"';
	$result = pwg_query($query);
	if (!pwg_db_fetch_row($result)) {
		piwecard_db_create($prefixeTable.'piwecard');
		piwecard_conf_create('piwecard');
	}
}

function plugin_activate() {
	global $prefixeTable, $conf;
	
	require_once('install/functions.inc.php');
	
	$query_ecard = 'SHOW TABLES LIKE "'.$prefixeTable.'ecard"';
	$result_ecard = pwg_query($query_ecard);
	$query_piwecard = 'SHOW TABLES LIKE "'.$prefixeTable.'piwecard"';
	$result_piwecard = pwg_query($query_piwecard);
	if (pwg_db_num_rows($result_ecard) != 0) {		//Update old configs
		if (pwg_db_num_rows($result_piwecard) == 0){
			piwecard_db_create($prefixeTable.'piwecard');
			piwecard_db_update_from_2_3($prefixeTable.'ecard', $prefixeTable.'piwecard');
		}
		piwecard_db_delete($prefixeTable.'ecard');
		
		piwecard_conf_rename('ecard', 'piwecard');
	}
	
	$query_unique_id = 'SHOW COLUMNS FROM '.$prefixeTable.'piwecard LIKE "unique_id"';
	$result_unique_id = pwg_query($query_unique_id);
	if(pwg_db_num_rows($result_unique_id) == 0) {
		piwecard_db_update_from_2_4a_b3($prefixeTable.'piwecard');
	}

  if (empty($conf['piwecard']))
  {
    if (!defined('PIWECARD_INSTALL_PATH'))
    {
      define('PIWECARD_INSTALL_PATH', PHPWG_PLUGINS_PATH.'Piwecard/install/');
    }

    load_language('plugin.lang', PHPWG_PLUGINS_PATH.'Piwecard');
    
    require_once('include/piwecard.class.php');
    $piwecard = new Piwecard();
    $piwecard->get_default_config();
    $piwecard->set_config();
  }
}

function plugin_uninstall() {
	global $prefixeTable;

	require_once('install/functions.inc.php');
	
	piwecard_db_delete($prefixeTable.'piwecard');
	piwecard_conf_delete('piwecard');
}
